Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport
Class AVTransportException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.teleal.cling.model.action.ActionException
                  org.teleal.cling.support.avtransport.AVTransportException

All Implemented Interfaces:
  java.io.Serializable

    public class AVTransportException

extends org.teleal.cling.model.action.ActionException

See Also:
  Serialized Form

Constructor Summary
`AVTransportException(AVTransportErrorCode errorCode)`
`AVTransportException(AVTransportErrorCode errorCode, java.lang.String message)`
`AVTransportException(org.teleal.cling.model.types.ErrorCode errorCode)`
`AVTransportException(org.teleal.cling.model.types.ErrorCode errorCode, java.lang.String message)`
`AVTransportException(int errorCode, java.lang.String message)`
`AVTransportException(int errorCode, java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class org.teleal.cling.model.action.ActionException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AVTransportException

    public AVTransportException(int errorCode,
                                java.lang.String message)

### AVTransportException

    public AVTransportException(int errorCode,
                                java.lang.String message,
                                java.lang.Throwable cause)

### AVTransportException

    public AVTransportException(org.teleal.cling.model.types.ErrorCode errorCode,
                                java.lang.String message)

### AVTransportException

    public AVTransportException(org.teleal.cling.model.types.ErrorCode errorCode)

### AVTransportException

    public AVTransportException(AVTransportErrorCode errorCode,
                                java.lang.String message)

### AVTransportException

    public AVTransportException(AVTransportErrorCode errorCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.